Bug 199257 - ksh conflicts with pdksh [NEEDINFO]
Summary: ksh conflicts with pdksh
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ksh
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 199259
TreeView+ depends on / blocked
 
Reported: 2006-07-18 14:08 UTC by Matthew Galgoci
Modified: 2017-07-27 02:00 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-07-19 10:36:23 UTC
crazy_cc: needinfo?


Attachments (Terms of Use)

Description Matthew Galgoci 2006-07-18 14:08:36 UTC
Description of problem:

ksh conflicts with pdksh. Please port the ksh package to use the alternatives
system so that both ksh and pdksh may be installed at the same time.

Reason: oracle requires pdksh or their installer gets cranky, but ksh is often
prefered.

Comment 1 Karsten Hopp 2006-07-19 10:36:23 UTC
You can't install both at the same time, alternatives is overkill for this.
If Oracle needs pdksh they should install pdksh. If someone prefers the real ksh,
he/she installs ksh. What's the point in having both installed when you can use
only one ?

Comment 2 Yanfeng Li 2017-07-27 02:00:55 UTC
When i install the oracle 11.2.0.4 then require package shows me pdksh, But when i install the oracle12 the require package shows me ksh. i really don't know which package i should choose. I thought the pdksh include the ksh enviement right?


Note You need to log in before you can comment on or make changes to this bug.